Subject: Re: Order of evaluation in .dir-locals.el

From: Noam Postavsky <[email-masked]>
Date: Mon, 6 Jun 2016 20:41:17 -0400

On Sun, Jun 5, 2016 at 3:38 PM, Reuben Thomas <[email-masked]> wrote:
> Thanks very much; to check I understand, you're saying that at present it's
> not possible to do this all in .dir-locals.el; I'd have presumably to define
> the style in my Emacs init sequence (or anyway, load it before visiting the
> directory)?

Yes (though I suppose you might be able to make it work by removing
`c-before-hack-hook' and performing `c-set-style' yourself).